package kz.cafe.admin;

import java.util.*;
import kz.cafe.admin.constants.AccessConstants.EditMode;
import kz.cafe.admin.panels.*;
import kz.cafe.admin.panels.model.*;
import kz.cafe.db.model.*;

public class TabI18NClient extends AbstractTab{
   private static final long serialVersionUID = -6038765620012650256L;




   public TabI18NClient(AdminMain application, Set<EditMode> setMode){
      super(application, setMode);
   }
   
   
   

   @Override
   public DBListPanel<MI18NClient> build(){
      CustomDescriptor dscr = new CustomDescriptor();

      CustomField field = new CustomField();
      field.visible = true;
      field.search.mode = CustomField.Search.SEARCH_MODES.INTEGER;
      field.name = "ID";
      field.db = "ID";
      field.isEditable = false;
      field.style.width = 50;
      field.isSortable = true;
      field.search.row = 0;
      dscr.addField(field);




      field = new CustomField();
      field.visible = true;
      field.name = "Название";
      field.db = "name";
      field.isEditable = true;
      field.style.width = 200;
      field.isMust = true;
      field.search.mode = CustomField.Search.SEARCH_MODES.LOCALIZED_STRING;
      dscr.addField(field);



     
      

//      field = new CustomField();
//      field.visible = true;
//      field.name = "Описание";
//      field.db = "description";
//      field.isEditable = true;
//      field.style.width = 0;
//      field.search.mode = CustomField.Search.SEARCH_MODES.LOCALIZED_STRING;
//      field.search.row = 0;
//      dscr.addField(field);
      
      
      
      
      field = new CustomField();
      field.visible = true;
      field.name = "Текст";
      field.db = "description";
      field.isEditable = true;
      field.style.width = 0;
      field.search.mode = CustomField.Search.SEARCH_MODES.LOCALIZED_STRING;
      field.search.row = 0;
      dscr.addField(field);
      


      field = new CustomField();
      field.visible = true;
      field.name = "Опубликовано";
      field.db = "published";
      field.isEditable = true;
      field.style.width = 50;
      field.isSortable = true;
      field.search.mode = CustomField.Search.SEARCH_MODES.BOOLEAN_ONLY_TRUE;
      field.search.row = 3;
      dscr.addField(field);
      


//      CustomImageField fieldLogo = new CustomImageField();
//      fieldLogo.visible = true;
//      fieldLogo.name = "Изображение";
//      fieldLogo.db = "image";
//      fieldLogo.isEditable = true;
//      fieldLogo.style.width = 40;
//      fieldLogo.style.height = 40;
//      fieldLogo.isImageInTable = true;
//      dscr.addField(fieldLogo);




      DBListPanel<MI18NClient> panel = new DBListPanel<MI18NClient>(application,
                                                                    MI18NClient.class,
                                                                    dscr,
                                                                    Dimension.getFull(application),
                                                                    setMode);
//      panel.addPanel(new ExtraPanelImageUploader(panel, fieldLogo), false);


      return panel;
   }


   
   


   @Override
   public DBSingle build(int ID){
      // TODO Auto-generated method stub
      return null;
   }
}

